> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a client

> OAuth scope: `client.read`

Retrieves the client identified by the `id` path parameter.

<Info>
  **Price plans:** this endpoint is available for all Qonto price plans
</Info>



## OpenAPI

````yaml get /v2/clients/{id}
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/clients/{id}:
    get:
      tags:
        - Clients
      summary: Retrieve a client
      description: |-
        OAuth scope: `client.read`

        Retrieves the client identified by the `id` path parameter.

        <Info>
          **Price plans:** this endpoint is available for all Qonto price plans
        </Info>
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: id
          in: path
          description: ID of the client
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Returns the client identified by the `id` path parameter.
          content:
            application/json:
              schema:
                type: object
                properties:
                  client:
                    $ref: '#/components/schemas/Client'
                required:
                  - client
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '404':
          $ref: '#/components/responses/404-Not-Found'
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - client.read
        - SecretKey: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    Client:
      oneOf:
        - $ref: '#/components/schemas/ClientCompany'
        - $ref: '#/components/schemas/ClientIndividual'
    ClientCompany:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          description: Name of the client that needs to pay the client invoice.
          example: John Doe
        first_name:
          type: string
          description: First name of the client that needs to pay the invoice.
          example: John
        last_name:
          type: string
          description: Last name of the client that needs to pay the invoice.
          example: Doe
        phone_number:
          type: string
          description: >-
            Phone number of the client that needs to pay the invoice.
            Deprecated, use `phone` instead.
          example: '+33123456789'
          deprecated: true
        phone:
          type: object
          description: >-
            Phone country code and number of the client that needs to pay the
            invoice.
          properties:
            country_code:
              type: string
              description: Country code of the client's phone number.
              example: '+33'
            number:
              type: string
              description: Phone number of the client.
              example: '123456789'
        kind:
          type: string
          enum:
            - company
            - individual
            - freelancer
          description: >
            Describes the client type. `individual` represents a physical person
            (a consumer) whereas `company` or `freelancer` represent a legal
            entity. Usually a `freelancer` is a legal entity with the name of a
            person.
        type:
          type: string
          deprecated: true
          enum:
            - company
            - individual
            - freelancer
          description: >
            Describes the client type. `individual` represents a physical person
            (a consumer) whereas `company` or `freelancer` represent a legal
            entity. Usually a `freelancer` is a legal entity with the name of a
            person.
        email:
          type: string
          description: >-
            E-mail address of the client that needs to pay the invoice, which is
            displayed in the invoice.
          format: email
          example: john.doe@qonto.eu
        extra_emails:
          type:
            - array
            - 'null'
          description: >
            Additional email addresses for the client.

            Store additional emails that won't appear in the document but will
            be used as recipients when sending the document via email.
          items:
            type: string
            format: email
            maxLength: 250
            example: additional@email.com
          maxItems: 100
          example:
            - additional@email.com
            - backup@email.com
        currency:
          type: string
          description: >-
            Client’s currency in ISO 4217 format (alpha-3). Required when
            creating a client invoice and will be used as the invoice currency.
          example: EUR
        e_invoicing_address:
          type: string
          description: |
            Specifically for French organizations.
            A unique address in one of the formats:
            - siren e.g. 987654321
            - siren_siret e.g. 987654321_98765432100012
            - siren_siret_routingCode e.g. 987654321_98765432100012_00001
            - siren_suffix e.g. 987654321_00002

            Note the address should also exist in the Annuaire to be accepted.
          example: '987654321'
        e_invoicing_reachable:
          type: boolean
          description: >
            Whether the client's `e_invoicing_address` is considered reachable
            for e-invoicing: active in both the French Annuaire and Peppol.
            Present on client responses (get, list, create, update). `false` if
            the address is empty, lookup fails, or either side is inactive.
          example: true
        vat_number:
          type: string
          description: >-
            Value Added Tax number of the client (a legal entity) that needs to
            pay the invoice.
        tax_identification_number:
          type: string
          description: >
            Tax Identification Number (TIN) of the client. Format varies by
            country:

            - **France**: SIREN (9 digits) or SIRET (14 digits)

            - **Italy**: Codice Fiscale (11 digits for companies, 16
            alphanumeric for individuals)

            - **Spain**: NIF/CIF (9 characters)

            - **Germany**: Steuernummer


            **Note:** A client can be created without this field, but invoice
            creation may fail if the field is missing or invalid based on these
            rules. If you receive a validation error related to
            `tax_identification_number` when creating an invoice, update the
            client first and then retry creating the invoice.
        address:
          type: string
          description: Address of the client that needs to pay the invoice.
        city:
          type: string
          description: City of the client that needs to pay the invoice.
        zip_code:
          type: string
          description: Zip code of the client that needs to pay the invoice.
        province_code:
          type: string
          description: >-
            Only for italian organizations. Represents the province code of the
            client.
        country_code:
          type: string
          description: Country code of the client that needs to pay the invoice.
        billing_address:
          type: object
          description: >-
            Billing address of the client that needs to pay the invoice. Stores
            the same data as the root-level fields address fields (`address`,
            `city`, `zip_code`, `province_code`, `country_code`).
          properties:
            street_address:
              type: string
              description: >
                represent the street address section of the billing address of
                the client. (eg street, number, floor, door, etc)
              maxLength: 250
              example: 123 Main Street
            city:
              type: string
              description: >-
                City on the billing address of the client that needs to pay the
                invoice
              maxLength: 50
              example: Paris
            zip_code:
              type: string
              description: >-
                Zip code on the billing address of the client that needs to pay
                the invoice
              maxLength: 20
              example: '75009'
            province_code:
              type: string
              description: Province code of the client's billing address
              maxLength: 2
            country_code:
              type: string
              description: >-
                Country code on the billing address of the client that needs to
                pay the invoice
              maxLength: 2
              example: fr
        delivery_address:
          type: object
          description: >-
            Delivery address of the client that needs to pay the invoice. Stores
            the same data as the root-level fields address fields (`address`,
            `city`, `zip_code`, `province_code`, `country_code`).
          properties:
            street_address:
              type: string
              description: >
                represent the street address section of the delivery address of
                the client. (eg street, number, floor, door, etc)
              maxLength: 250
              example: 123 Main Street
            city:
              type: string
              description: >-
                City on the delivery address of the client that needs to pay the
                invoice
              maxLength: 50
              example: Paris
            zip_code:
              type: string
              description: >-
                Zip code on the delivery address of the client that needs to pay
                the invoice
              maxLength: 20
              example: '75009'
            province_code:
              type: string
              description: >-
                Province code of the client's delivery address that needs to pay
                the invoice
              maxLength: 2
            country_code:
              type: string
              description: >-
                Country code on the delivery address of the client that needs to
                pay the invoice
              maxLength: 2
              example: fr
        recipient_code:
          type: string
          description: >-
            Only for italian clients. Represents the client’s recipient code for
            receiving an the e-invoice in his SdI portal.
        created_at:
          type: string
          description: Date the client was created. Note that this is a machine date.
        updated_at:
          type: string
          description: Date the client was last updated. Note that this is a machine date.
        locale:
          type: string
          description: >-
            Language of the documents created on Qonto (invoices, quotes, credit
            notes) for this particular client. Note, although we accept locales
            of format fr-FR we ignore the region part, treating this as fr.
          example: fr
    ClientIndividual:
      type: object
      properties:
        id:
          type: string
          format: uuid
        first_name:
          type: string
          description: First name of the client that needs to pay the invoice.
          example: John
        last_name:
          type: string
          description: Last name of the client that needs to pay the invoice.
          example: Doe
        phone_number:
          type: string
          description: >-
            Phone number of the client that needs to pay the invoice.
            Deprecated, use `phone` instead.
          example: '+33123456789'
          deprecated: true
        phone:
          type: object
          description: >-
            Phone country code and number of the client that needs to pay the
            invoice.
          properties:
            country_code:
              type: string
              description: Country code of the client's phone number.
              example: '+33'
            number:
              type: string
              description: Phone number of the client.
              example: '123456789'
        type:
          type: string
          enum:
            - individual
            - freelancer
          description: >
            Client type: `individual` represents a physical person (a consumer)
            whereas `company` or `freelancer` represent a legal entity. Usually
            a `freelancer` is a legal entity with the name of a person.
        email:
          type: string
          description: >-
            E-mail address of the client that needs to pay the invoice, which is
            displayed in the invoice.
          format: email
          example: john.doe@qonto.eu
        extra_emails:
          type:
            - array
            - 'null'
          description: >
            Additional email addresses for the client.

            Store additional emails that won't appear in the document but will
            be used as recipients when sending the document via email.
          items:
            type: string
            format: email
            maxLength: 250
            example: additional@email.com
          maxItems: 100
          example:
            - additional@email.com
            - backup@email.com
        currency:
          type: string
          description: >-
            Client’s currency in ISO 4217 format (alpha-3). Required when
            creating a client invoice and will be used as the invoice currency.
          example: EUR
        e_invoicing_address:
          type: string
          description: |
            Specifically for French organizations.
            A unique address in one of the formats:
            - siren e.g. 987654321
            - siren_siret e.g. 987654321_98765432100012
            - siren_siret_routingCode e.g. 987654321_98765432100012_00001
            - siren_suffix e.g. 987654321_00002

            Note the address should also exist in the Annuaire to be accepted.
          example: '987654321'
        e_invoicing_reachable:
          type: boolean
          description: >
            Whether the client's `e_invoicing_address` is considered reachable
            for e-invoicing: active in both the French Annuaire and Peppol.
            Present on client responses (get, list, create, update). `false` if
            the address is empty, lookup fails, or either side is inactive.
          example: true
        vat_number:
          type: string
          description: >-
            Value Added Tax number of the client (a legal entity) that needs to
            pay the invoice.
        tax_identification_number:
          type: string
          description: >
            Tax Identification Number (TIN) of the client. Format varies by
            country:

            - **France**: SIREN (9 digits) or SIRET (14 digits)

            - **Italy**: Codice Fiscale (11 digits for companies, 16
            alphanumeric for individuals)

            - **Spain**: NIF/CIF (9 characters)

            - **Germany**: Steuernummer


            **Note:** A client can be created without this field, but invoice
            creation may fail if the field is missing or invalid based on these
            rules. If you receive a validation error related to
            `tax_identification_number` when creating an invoice, update the
            client first and then retry creating the invoice.
        address:
          type: string
          description: Address of the client that needs to pay the invoice.
        city:
          type: string
          description: City of the client that needs to pay the invoice.
        zip_code:
          type: string
          description: Zip code of the client that needs to pay the invoice.
        province_code:
          type: string
          description: >-
            Only for italian organizations. Represents the province code of the
            client.
        country_code:
          type: string
          description: Country code of the client that needs to pay the invoice.
        billing_address:
          type: object
          description: >-
            Billing address of the client that needs to pay the invoice. Stores
            the same data as the root-level fields address fields (`address`,
            `city`, `zip_code`, `province_code`, `country_code`).
          properties:
            street_address:
              type: string
              description: >
                represent the street address section of the billing address of
                the client. (eg street, number, floor, door, etc)
              maxLength: 250
              example: 123 Main Street
            city:
              type: string
              description: >-
                City on the billing address of the client that needs to pay the
                invoice
              maxLength: 50
              example: Paris
            zip_code:
              type: string
              description: >-
                Zip code on the billing address of the client that needs to pay
                the invoice
              maxLength: 20
              example: '75009'
            province_code:
              type: string
              description: Province code of the client's billing address
              maxLength: 2
            country_code:
              type: string
              description: >-
                Country code on the billing address of the client that needs to
                pay the invoice
              maxLength: 2
              example: fr
        delivery_address:
          type: object
          description: >-
            Delivery address of the client that needs to pay the invoice. Stores
            the same data as the root-level fields address fields (`address`,
            `city`, `zip_code`, `province_code`, `country_code`).
          properties:
            street_address:
              type: string
              description: >
                represent the street address section of the delivery address of
                the client. (eg street, number, floor, door, etc)
              maxLength: 250
              example: 123 Main Street
            city:
              type: string
              description: >-
                City on the delivery address of the client that needs to pay the
                invoice
              maxLength: 50
              example: Paris
            zip_code:
              type: string
              description: >-
                Zip code on the delivery address of the client that needs to pay
                the invoice
              maxLength: 20
              example: '75009'
            province_code:
              type: string
              description: >-
                Province code of the client's delivery address that needs to pay
                the invoice
              maxLength: 2
            country_code:
              type: string
              description: >-
                Country code on the delivery address of the client that needs to
                pay the invoice
              maxLength: 2
              example: fr
        recipient_code:
          type: string
          description: >-
            Only for italian clients. Represents the client’s recipient code for
            receiving an the e-invoice in his SdI portal.
        created_at:
          type: string
          description: Date the client was created. Note that this is a machine date.
        updated_at:
          type: string
          description: Date the client was last updated. Note that this is a machine date.
        locale:
          type: string
          description: >-
            Language of the documents created on Qonto (invoices, quotes, credit
            notes) for this particular client. Note, although we accept locales
            of format fr-FR we ignore the region part, treating this as fr.
          example: fr
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    NotFoundError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            parameter:
              type: string
              description: The parameter that causes the error.
      required:
        - code
        - detail
      x-examples:
        Object not found:
          code: not_found
          detail: Object not found
          source:
            parameter: id
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    404-Not-Found:
      description: Returns a not found error.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/NotFoundError'
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````